{
  "Scenario_1_Small_Low": {
    "LEACH": {
      "metrics": {
        "total_rounds_completed": 2000,
        "final_alive_nodes": 2,
        "first_dead_node_round": 45,
        "last_dead_node_round": 2000,
        "first_muted_round": 40,
        "total_muted_rounds": 1162,
        "dlbi": 0.8793837592010225,
        "rspi": 0.0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.4976345317915646,
          "ch_count": 3,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 100,
          "packets_to_ch": 2,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.49670645863441615,
          "ch_count": 3,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 100,
          "packets_to_ch": 8,
          "packets_to_bs": 6,
          "avg_residual_energy": 0.49490770828070624,
          "ch_count": 6,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4928107900633381,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.49044903173425053,
          "ch_count": 3,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.4885563861287666,
          "ch_count": 3,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.4874702552694088,
          "ch_count": 3,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.4853988897109234,
          "ch_count": 4,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4838676349743046,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.4825555570216496,
          "ch_count": 3,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 2,
          "avg_residual_energy": 0.48124236277642135,
          "ch_count": 2,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 100,
          "packets_to_ch": 10,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.4791818294686698,
          "ch_count": 4,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.47717704739427647,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 100,
          "packets_to_ch": 2,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47524005258224994,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 2,
          "avg_residual_energy": 0.4746746844057565,
          "ch_count": 2,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47281025182902353,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47084064879525117,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.4683212846774571,
          "ch_count": 4,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 100,
          "packets_to_ch": 7,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.46668148415410504,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.46439426888203933,
          "ch_count": 3,
          "muted": false
        }
      ]
    },
    "LEACH-C": {
      "metrics": {
        "total_rounds_completed": 412,
        "final_alive_nodes": 0,
        "first_dead_node_round": 259,
        "last_dead_node_round": 412,
        "first_muted_round": null,
        "total_muted_rounds": 0,
        "dlbi": 0.31865908800109843,
        "rspi": 0.0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4979147981945556,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.49609315260166476,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4936872405345211,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4914101350917563,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.48951616397769887,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.48732282981568475,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.48524241325887757,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.48331625144249396,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 100,
          "packets_to_ch": 7,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.48157102923894046,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47928405325037965,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.476475976413257,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 100,
          "packets_to_ch": 2,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47383608730916754,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47197027730965296,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47032816290026824,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.46834067489467335,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.46652001300956686,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 100,
          "packets_to_ch": 8,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4642065883910464,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4618001975545381,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.45993364308753043,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.45777067796129073,
          "ch_count": 5,
          "muted": false
        }
      ]
    }
  },
  "Scenario_2_Small_Medium": {
    "LEACH": {
      "metrics": {
        "total_rounds_completed": 2000,
        "final_alive_nodes": 1,
        "first_dead_node_round": 153,
        "last_dead_node_round": 2000,
        "first_muted_round": 1002,
        "total_muted_rounds": 367,
        "dlbi": 0.798389461028645,
        "rspi": 0.0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 100,
          "packets_to_ch": 23,
          "packets_to_bs": 27,
          "avg_residual_energy": 0.4989955463750396,
          "ch_count": 54,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 100,
          "packets_to_ch": 28,
          "packets_to_bs": 29,
          "avg_residual_energy": 0.4978111943854413,
          "ch_count": 50,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 100,
          "packets_to_ch": 25,
          "packets_to_bs": 30,
          "avg_residual_energy": 0.49658767324849273,
          "ch_count": 53,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 100,
          "packets_to_ch": 27,
          "packets_to_bs": 31,
          "avg_residual_energy": 0.4951103221263815,
          "ch_count": 40,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 100,
          "packets_to_ch": 26,
          "packets_to_bs": 26,
          "avg_residual_energy": 0.49367838511480755,
          "ch_count": 44,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 100,
          "packets_to_ch": 24,
          "packets_to_bs": 25,
          "avg_residual_energy": 0.4925152732725971,
          "ch_count": 53,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 100,
          "packets_to_ch": 21,
          "packets_to_bs": 31,
          "avg_residual_energy": 0.49127749494620426,
          "ch_count": 50,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 100,
          "packets_to_ch": 23,
          "packets_to_bs": 30,
          "avg_residual_energy": 0.4902080071372119,
          "ch_count": 52,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 100,
          "packets_to_ch": 22,
          "packets_to_bs": 30,
          "avg_residual_energy": 0.48885497335976813,
          "ch_count": 46,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 100,
          "packets_to_ch": 17,
          "packets_to_bs": 26,
          "avg_residual_energy": 0.48770948266765374,
          "ch_count": 47,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 100,
          "packets_to_ch": 31,
          "packets_to_bs": 27,
          "avg_residual_energy": 0.4862887810376217,
          "ch_count": 43,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 100,
          "packets_to_ch": 30,
          "packets_to_bs": 28,
          "avg_residual_energy": 0.48496515439146565,
          "ch_count": 47,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 100,
          "packets_to_ch": 32,
          "packets_to_bs": 26,
          "avg_residual_energy": 0.48336689841853414,
          "ch_count": 35,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 100,
          "packets_to_ch": 21,
          "packets_to_bs": 33,
          "avg_residual_energy": 0.48214874557307164,
          "ch_count": 48,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 100,
          "packets_to_ch": 30,
          "packets_to_bs": 31,
          "avg_residual_energy": 0.4809069356236915,
          "ch_count": 49,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 100,
          "packets_to_ch": 22,
          "packets_to_bs": 30,
          "avg_residual_energy": 0.4796718647209915,
          "ch_count": 52,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 100,
          "packets_to_ch": 30,
          "packets_to_bs": 28,
          "avg_residual_energy": 0.4784911607037911,
          "ch_count": 52,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 100,
          "packets_to_ch": 28,
          "packets_to_bs": 30,
          "avg_residual_energy": 0.4772254877281737,
          "ch_count": 52,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 100,
          "packets_to_ch": 27,
          "packets_to_bs": 26,
          "avg_residual_energy": 0.4760063327024261,
          "ch_count": 54,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 100,
          "packets_to_ch": 21,
          "packets_to_bs": 25,
          "avg_residual_energy": 0.47495059525707306,
          "ch_count": 55,
          "muted": false
        }
      ]
    },
    "LEACH-C": {
      "metrics": {
        "total_rounds_completed": 372,
        "final_alive_nodes": 0,
        "first_dead_node_round": 187,
        "last_dead_node_round": 372,
        "first_muted_round": null,
        "total_muted_rounds": 0,
        "dlbi": 0.3286863472145973,
        "rspi": 0.0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 100,
          "packets_to_ch": 44,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4973199702700805,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 100,
          "packets_to_ch": 49,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4939733435585192,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 100,
          "packets_to_ch": 47,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.491312406383237,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 100,
          "packets_to_ch": 48,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.489252652524132,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 100,
          "packets_to_ch": 43,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.486788323186539,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 100,
          "packets_to_ch": 48,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.48397756820297416,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 100,
          "packets_to_ch": 50,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4809119518373888,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 100,
          "packets_to_ch": 51,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47976849160997304,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 100,
          "packets_to_ch": 43,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47722117121943064,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 100,
          "packets_to_ch": 56,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47492621956491293,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 100,
          "packets_to_ch": 50,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4717361633597115,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 100,
          "packets_to_ch": 37,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47006041524155456,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 100,
          "packets_to_ch": 50,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.46808100973907313,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 100,
          "packets_to_ch": 50,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.46551802443317597,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 100,
          "packets_to_ch": 45,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4625614647808789,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 100,
          "packets_to_ch": 47,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4600270585486975,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 100,
          "packets_to_ch": 51,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.45812338051994855,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 100,
          "packets_to_ch": 45,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.45548404847870766,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 100,
          "packets_to_ch": 46,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.45302813840706235,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 100,
          "packets_to_ch": 52,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.45045550713273697,
          "ch_count": 5,
          "muted": false
        }
      ]
    }
  },
  "Scenario_3_Small_High": {
    "LEACH": {
      "metrics": {
        "total_rounds_completed": 2000,
        "final_alive_nodes": 100,
        "first_dead_node_round": null,
        "last_dead_node_round": null,
        "first_muted_round": null,
        "total_muted_rounds": 0,
        "dlbi": 0.9530365000000001,
        "rspi": 0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.49989312007763526,
          "ch_count": 95,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4997867014070647,
          "ch_count": 95,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.49971277284918597,
          "ch_count": 97,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 100,
          "packets_to_ch": 2,
          "packets_to_bs": 2,
          "avg_residual_energy": 0.4996875298422721,
          "ch_count": 98,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.49957366476194565,
          "ch_count": 96,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 100,
          "packets_to_ch": 2,
          "packets_to_bs": 2,
          "avg_residual_energy": 0.4995156487677281,
          "ch_count": 98,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 6,
          "avg_residual_energy": 0.49933913091838567,
          "ch_count": 94,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.49924440839258544,
          "ch_count": 96,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.49913655721837635,
          "ch_count": 95,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 100,
          "packets_to_ch": 12,
          "packets_to_bs": 12,
          "avg_residual_energy": 0.4988782192084617,
          "ch_count": 88,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.49874762694671804,
          "ch_count": 95,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.49860838622262427,
          "ch_count": 95,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.4985021807534221,
          "ch_count": 96,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 6,
          "avg_residual_energy": 0.49836407898239643,
          "ch_count": 94,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 100,
          "packets_to_ch": 2,
          "packets_to_bs": 2,
          "avg_residual_energy": 0.4983331747885453,
          "ch_count": 98,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 6,
          "avg_residual_energy": 0.4981957226449223,
          "ch_count": 94,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 100,
          "packets_to_ch": 7,
          "packets_to_bs": 6,
          "avg_residual_energy": 0.4980329278466646,
          "ch_count": 93,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.49787686605230513,
          "ch_count": 94,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.49773953560085976,
          "ch_count": 96,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.49756442920796984,
          "ch_count": 93,
          "muted": false
        }
      ]
    },
    "LEACH-C": {
      "metrics": {
        "total_rounds_completed": 361,
        "final_alive_nodes": 0,
        "first_dead_node_round": 198,
        "last_dead_node_round": 361,
        "first_muted_round": null,
        "total_muted_rounds": 0,
        "dlbi": 0.38098416268906454,
        "rspi": 0.0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 100,
          "packets_to_ch": 90,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.49809529313332546,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 100,
          "packets_to_ch": 92,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.49634989836451254,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 100,
          "packets_to_ch": 90,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.49417220679399576,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 100,
          "packets_to_ch": 90,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4916683623069125,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 100,
          "packets_to_ch": 91,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.489363383154227,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 100,
          "packets_to_ch": 91,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4871044921547224,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 100,
          "packets_to_ch": 93,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.48512905260211203,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 100,
          "packets_to_ch": 91,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.483324844381083,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 100,
          "packets_to_ch": 91,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4819017698995023,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 100,
          "packets_to_ch": 88,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4796335148989902,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 100,
          "packets_to_ch": 87,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4774783667002692,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 100,
          "packets_to_ch": 94,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47566773487111097,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 100,
          "packets_to_ch": 92,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47358521726770886,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 100,
          "packets_to_ch": 89,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47157207232583326,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 100,
          "packets_to_ch": 92,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.469438394133393,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 100,
          "packets_to_ch": 87,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.46714038426726723,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 100,
          "packets_to_ch": 92,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4645234949516631,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 100,
          "packets_to_ch": 91,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4616185803375844,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 100,
          "packets_to_ch": 90,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4589411224890453,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 100,
          "packets_to_ch": 88,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4565727755257135,
          "ch_count": 5,
          "muted": false
        }
      ]
    }
  },
  "Scenario_4_Large_Low": {
    "LEACH": {
      "metrics": {
        "total_rounds_completed": 2000,
        "final_alive_nodes": 1,
        "first_dead_node_round": 7,
        "last_dead_node_round": 2000,
        "first_muted_round": 93,
        "total_muted_rounds": 1500,
        "dlbi": 0.9066860980183459,
        "rspi": 0.0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.4942540422162599,
          "ch_count": 4,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 100,
          "packets_to_ch": 2,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.488762051396144,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 6,
          "avg_residual_energy": 0.48313244593298116,
          "ch_count": 6,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4777171735874777,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 2,
          "avg_residual_energy": 0.47124359313046943,
          "ch_count": 2,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.46712640349424367,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 99,
          "packets_to_ch": 3,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.46271622763019793,
          "ch_count": 3,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 98,
          "packets_to_ch": 6,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.46407356150544654,
          "ch_count": 4,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 98,
          "packets_to_ch": 7,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.4592828907631789,
          "ch_count": 4,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 98,
          "packets_to_ch": 6,
          "packets_to_bs": 6,
          "avg_residual_energy": 0.45490097000883334,
          "ch_count": 6,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 98,
          "packets_to_ch": 3,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.45051586475243915,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 98,
          "packets_to_ch": 9,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.4464378432064541,
          "ch_count": 4,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 98,
          "packets_to_ch": 3,
          "packets_to_bs": 6,
          "avg_residual_energy": 0.4416956224482677,
          "ch_count": 6,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 98,
          "packets_to_ch": 4,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.4378770399434536,
          "ch_count": 3,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 98,
          "packets_to_ch": 0,
          "packets_to_bs": 6,
          "avg_residual_energy": 0.433498203498687,
          "ch_count": 6,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 98,
          "packets_to_ch": 3,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.428796156430566,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 97,
          "packets_to_ch": 4,
          "packets_to_bs": 3,
          "avg_residual_energy": 0.42851224146925343,
          "ch_count": 3,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 96,
          "packets_to_ch": 5,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.42877375097304254,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 96,
          "packets_to_ch": 7,
          "packets_to_bs": 2,
          "avg_residual_energy": 0.42370344714465014,
          "ch_count": 2,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 96,
          "packets_to_ch": 2,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.42090156289853337,
          "ch_count": 5,
          "muted": false
        }
      ]
    },
    "LEACH-C": {
      "metrics": {
        "total_rounds_completed": 201,
        "final_alive_nodes": 0,
        "first_dead_node_round": 49,
        "last_dead_node_round": 201,
        "first_muted_round": null,
        "total_muted_rounds": 0,
        "dlbi": 0.5538160103660335,
        "rspi": 0.0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.49476047964609754,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.4890659680639534,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.48428294851516107,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4791063494877617,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 100,
          "packets_to_ch": 3,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47535244242986174,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 100,
          "packets_to_ch": 1,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.47035186629458237,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 100,
          "packets_to_ch": 7,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4650543685611236,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.45900395553426554,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 100,
          "packets_to_ch": 9,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.45417964273722056,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4484863507680046,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4434919685654835,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.4405698076157223,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4350045533677951,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 100,
          "packets_to_ch": 7,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4302050730248449,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 100,
          "packets_to_ch": 7,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.424910391197396,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 100,
          "packets_to_ch": 5,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.42017906909238883,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 100,
          "packets_to_ch": 4,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.41634915703681735,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 100,
          "packets_to_ch": 6,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.411970431777783,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 100,
          "packets_to_ch": 2,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.406609905516102,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 100,
          "packets_to_ch": 11,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4019067831052879,
          "ch_count": 5,
          "muted": false
        }
      ]
    }
  },
  "Scenario_5_Large_Low_200nodes": {
    "LEACH": {
      "metrics": {
        "total_rounds_completed": 2500,
        "final_alive_nodes": 1,
        "first_dead_node_round": 2,
        "last_dead_node_round": 2500,
        "first_muted_round": 181,
        "total_muted_rounds": 1859,
        "dlbi": 0.865889854185711,
        "rspi": 0.0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 200,
          "packets_to_ch": 8,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.4949478010502377,
          "ch_count": 4,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 199,
          "packets_to_ch": 9,
          "packets_to_bs": 6,
          "avg_residual_energy": 0.4936223216741014,
          "ch_count": 6,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 199,
          "packets_to_ch": 4,
          "packets_to_bs": 10,
          "avg_residual_energy": 0.4897599368882461,
          "ch_count": 10,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 199,
          "packets_to_ch": 6,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.48550541296415706,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 198,
          "packets_to_ch": 13,
          "packets_to_bs": 17,
          "avg_residual_energy": 0.48470300872009525,
          "ch_count": 17,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 198,
          "packets_to_ch": 7,
          "packets_to_bs": 9,
          "avg_residual_energy": 0.4805038923793831,
          "ch_count": 9,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 198,
          "packets_to_ch": 11,
          "packets_to_bs": 12,
          "avg_residual_energy": 0.4766662338102662,
          "ch_count": 12,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 198,
          "packets_to_ch": 8,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.47269068067183617,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 198,
          "packets_to_ch": 11,
          "packets_to_bs": 5,
          "avg_residual_energy": 0.4689269360128169,
          "ch_count": 5,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 198,
          "packets_to_ch": 8,
          "packets_to_bs": 10,
          "avg_residual_energy": 0.4652274458813982,
          "ch_count": 10,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 198,
          "packets_to_ch": 7,
          "packets_to_bs": 15,
          "avg_residual_energy": 0.4612273663952436,
          "ch_count": 15,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 198,
          "packets_to_ch": 6,
          "packets_to_bs": 9,
          "avg_residual_energy": 0.45761866105553156,
          "ch_count": 9,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 198,
          "packets_to_ch": 7,
          "packets_to_bs": 15,
          "avg_residual_energy": 0.4535784301626523,
          "ch_count": 15,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 197,
          "packets_to_ch": 16,
          "packets_to_bs": 4,
          "avg_residual_energy": 0.4515019501454791,
          "ch_count": 4,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 197,
          "packets_to_ch": 2,
          "packets_to_bs": 10,
          "avg_residual_energy": 0.4471484570741915,
          "ch_count": 10,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 197,
          "packets_to_ch": 12,
          "packets_to_bs": 8,
          "avg_residual_energy": 0.44368386363873225,
          "ch_count": 9,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 197,
          "packets_to_ch": 12,
          "packets_to_bs": 13,
          "avg_residual_energy": 0.43990553526986503,
          "ch_count": 13,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 197,
          "packets_to_ch": 12,
          "packets_to_bs": 14,
          "avg_residual_energy": 0.4357657859871355,
          "ch_count": 15,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 197,
          "packets_to_ch": 13,
          "packets_to_bs": 8,
          "avg_residual_energy": 0.43237202954464293,
          "ch_count": 8,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 197,
          "packets_to_ch": 10,
          "packets_to_bs": 15,
          "avg_residual_energy": 0.4285025220261627,
          "ch_count": 15,
          "muted": false
        }
      ]
    },
    "LEACH-C": {
      "metrics": {
        "total_rounds_completed": 263,
        "final_alive_nodes": 0,
        "first_dead_node_round": 30,
        "last_dead_node_round": 263,
        "first_muted_round": null,
        "total_muted_rounds": 0,
        "dlbi": 0.39199355126386604,
        "rspi": 0.0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 200,
          "packets_to_ch": 9,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4951407543222974,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 200,
          "packets_to_ch": 7,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4908933566333071,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 200,
          "packets_to_ch": 7,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.48625054780965216,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 200,
          "packets_to_ch": 10,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4821321064100967,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 200,
          "packets_to_ch": 12,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.477187972680804,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 200,
          "packets_to_ch": 10,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.47299541267110756,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 200,
          "packets_to_ch": 13,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.46903045437433244,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 200,
          "packets_to_ch": 8,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4641913006498144,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 200,
          "packets_to_ch": 13,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4596301443078539,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 200,
          "packets_to_ch": 9,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4551856609939086,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 200,
          "packets_to_ch": 13,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4509114550315159,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 200,
          "packets_to_ch": 7,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.44612182821358365,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 200,
          "packets_to_ch": 10,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4407062206954966,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 200,
          "packets_to_ch": 11,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.43664199073474796,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 200,
          "packets_to_ch": 11,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.43159267592528666,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 200,
          "packets_to_ch": 9,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4264060522985556,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 200,
          "packets_to_ch": 17,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4219700335068052,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 200,
          "packets_to_ch": 11,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.41718187855975214,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 200,
          "packets_to_ch": 8,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.41321913100156665,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 200,
          "packets_to_ch": 10,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4083611497717757,
          "ch_count": 7,
          "muted": false
        }
      ]
    }
  },
  "Scenario_6_Large_LowMed_200nodes": {
    "LEACH": {
      "metrics": {
        "total_rounds_completed": 2500,
        "final_alive_nodes": 1,
        "first_dead_node_round": 24,
        "last_dead_node_round": 2500,
        "first_muted_round": 220,
        "total_muted_rounds": 1752,
        "dlbi": 0.8407352599159577,
        "rspi": 0.0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 200,
          "packets_to_ch": 29,
          "packets_to_bs": 13,
          "avg_residual_energy": 0.4961346421525238,
          "ch_count": 13,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 200,
          "packets_to_ch": 16,
          "packets_to_bs": 20,
          "avg_residual_energy": 0.49219427026741075,
          "ch_count": 20,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 200,
          "packets_to_ch": 12,
          "packets_to_bs": 20,
          "avg_residual_energy": 0.4882485466572654,
          "ch_count": 21,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 200,
          "packets_to_ch": 16,
          "packets_to_bs": 17,
          "avg_residual_energy": 0.4841064525644259,
          "ch_count": 17,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 200,
          "packets_to_ch": 18,
          "packets_to_bs": 19,
          "avg_residual_energy": 0.47992270744845195,
          "ch_count": 19,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 200,
          "packets_to_ch": 14,
          "packets_to_bs": 21,
          "avg_residual_energy": 0.4758825215031013,
          "ch_count": 21,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 200,
          "packets_to_ch": 17,
          "packets_to_bs": 19,
          "avg_residual_energy": 0.47165705631682014,
          "ch_count": 20,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 200,
          "packets_to_ch": 13,
          "packets_to_bs": 20,
          "avg_residual_energy": 0.46752651905723247,
          "ch_count": 22,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 200,
          "packets_to_ch": 20,
          "packets_to_bs": 8,
          "avg_residual_energy": 0.46270052112937365,
          "ch_count": 8,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 200,
          "packets_to_ch": 21,
          "packets_to_bs": 21,
          "avg_residual_energy": 0.4586599696400415,
          "ch_count": 22,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 200,
          "packets_to_ch": 16,
          "packets_to_bs": 24,
          "avg_residual_energy": 0.4548939692250073,
          "ch_count": 25,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 200,
          "packets_to_ch": 22,
          "packets_to_bs": 23,
          "avg_residual_energy": 0.4509261890070395,
          "ch_count": 23,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 200,
          "packets_to_ch": 20,
          "packets_to_bs": 12,
          "avg_residual_energy": 0.44667819658868196,
          "ch_count": 12,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 200,
          "packets_to_ch": 26,
          "packets_to_bs": 15,
          "avg_residual_energy": 0.44270579857770787,
          "ch_count": 15,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 200,
          "packets_to_ch": 22,
          "packets_to_bs": 20,
          "avg_residual_energy": 0.4387801064973174,
          "ch_count": 20,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 200,
          "packets_to_ch": 16,
          "packets_to_bs": 17,
          "avg_residual_energy": 0.43493900247426187,
          "ch_count": 18,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 200,
          "packets_to_ch": 23,
          "packets_to_bs": 17,
          "avg_residual_energy": 0.43089435368293566,
          "ch_count": 17,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 200,
          "packets_to_ch": 17,
          "packets_to_bs": 24,
          "avg_residual_energy": 0.4267878808254977,
          "ch_count": 24,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 200,
          "packets_to_ch": 26,
          "packets_to_bs": 20,
          "avg_residual_energy": 0.42270554031103635,
          "ch_count": 20,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 200,
          "packets_to_ch": 15,
          "packets_to_bs": 18,
          "avg_residual_energy": 0.4185778650124589,
          "ch_count": 18,
          "muted": false
        }
      ]
    },
    "LEACH-C": {
      "metrics": {
        "total_rounds_completed": 273,
        "final_alive_nodes": 0,
        "first_dead_node_round": 30,
        "last_dead_node_round": 273,
        "first_muted_round": null,
        "total_muted_rounds": 0,
        "dlbi": 0.3719994495989293,
        "rspi": 0.0
      },
      "detailed_rounds": [
        {
          "round": 1,
          "alive_nodes": 200,
          "packets_to_ch": 21,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.49560946914945475,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 2,
          "alive_nodes": 200,
          "packets_to_ch": 23,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4912991472984159,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 3,
          "alive_nodes": 200,
          "packets_to_ch": 23,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4863025039658087,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 4,
          "alive_nodes": 200,
          "packets_to_ch": 13,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.48152905821424363,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 5,
          "alive_nodes": 200,
          "packets_to_ch": 25,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4773490625019807,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 6,
          "alive_nodes": 200,
          "packets_to_ch": 27,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.47282185770484675,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 7,
          "alive_nodes": 200,
          "packets_to_ch": 21,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4691210755055561,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 8,
          "alive_nodes": 200,
          "packets_to_ch": 23,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4644554163739128,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 9,
          "alive_nodes": 200,
          "packets_to_ch": 24,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.45969289493407395,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 10,
          "alive_nodes": 200,
          "packets_to_ch": 21,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4550287820359843,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 11,
          "alive_nodes": 200,
          "packets_to_ch": 25,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4509567265831316,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 12,
          "alive_nodes": 200,
          "packets_to_ch": 18,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.44707646459639777,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 13,
          "alive_nodes": 200,
          "packets_to_ch": 19,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4424503240992106,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 14,
          "alive_nodes": 200,
          "packets_to_ch": 26,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.43733973023320005,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 15,
          "alive_nodes": 200,
          "packets_to_ch": 14,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.43327803863199416,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 16,
          "alive_nodes": 200,
          "packets_to_ch": 22,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4291818583897518,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 17,
          "alive_nodes": 200,
          "packets_to_ch": 19,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.42437275855881373,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 18,
          "alive_nodes": 200,
          "packets_to_ch": 23,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.4197331816050647,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 19,
          "alive_nodes": 200,
          "packets_to_ch": 21,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.41448257037540037,
          "ch_count": 7,
          "muted": false
        },
        {
          "round": 20,
          "alive_nodes": 200,
          "packets_to_ch": 14,
          "packets_to_bs": 7,
          "avg_residual_energy": 0.41042932561312656,
          "ch_count": 7,
          "muted": false
        }
      ]
    }
  }
}